Затмение - parseSdkContent Ошибка Ошибка - Не признавая файлов XML

? user3896618 @ | Original: StackOverFlow
---

Я использую Android SDK Tools 23.0.2 с Android API 20 ( L Preview) .

Я был с этой ошибки в течение некоторого времени :

parseSdkContent не удалось   .androidjava.lang.ExceptionInInitializerError

и я посмотрел на многие другие подобные вопросы и пытался их решения безрезультатно.

Они рекомендовали удаление /.android файл в каталоге пользователя, где моя рабочая область сохраняется и перезапуск Eclipse. Однако это не работает для меня.

http://stackoverflow.com/questions/24636393/parsesdkcontent-failed-could-not-initialize-class-android-graphics-typeface

http://stackoverflow.com/questions/5019051/android-sdk-content-loader-failing-with-nullpointerexception/5883841#5883841

Кажется, что это ошибка, затрагивает способность моего кода Java, чтобы признать XML файлы на которые он ссылается . Когда я ссылаться на переменные компонентов в XML файле, он не признает ее существование, хотя все вроде бы правильно настроен .

Пожалуйста, дайте мне знать, если больше информации необходимы.

---

Top 5 ответ

1808codist @

Я хотел бы добавить комментарий, но моя репутация не достаточно высок ...

В любом случае, удаление .android папка работал для меня. Ваше формулировка предполагает, что Вы удалены, когда перезапуска Eclipse. Попробуйте :

Stop/Exit out of Eclipse Delete .android Restart Eclipse 2ZzAntáres @

Я хотел бы добавить комментарий, но моя репутация не достаточно высок ... (just copied and paste here)

Я был в той же самой проблемой и с помощью Eclipse, Luna + ADT Plugin то, что я сделал, было :

Exit Eclipse. Delete .android folder from my home directory. Delete .metadata folder from my workspace directory. Also in my workspace deleted a folder called .remote (I don't remember exactly what was it's name, just deleted it). Open eclipse, complete the ADT dialog, setup the Android SDK path, and check for eclipse updates. If updates were done better you restart Eclipse before continuing. Import my existing projects, (or create a new one). Open a layout file (xml) to see if the error is gone.

Good luck!

3HOndo @

Я использовал опцию " Переключатель рабочего пространства " и создал совершенно новую рабочую . Это новая рабочая не дает мне никаких проблем.

4Loppis @

Да, я встречаюсь с этой проблемой тоже.

Я пробовал много способов ее решения .

Один из этих способов удалить папку .android или папку .metadata . К сожалению, когда я перезагрузить затмение ,происходит ошибка снова.

Наконец, в моем случае, я думаю, что это произошло из-за конфликта между версией ADT и SDK версии.

Мой ADT версия 23.0.3 и Android API 21 .

So,

Я удаляю Android- 5 платформы (Android API 21 ) в моей папке SDK и просто держать на Android 4.4 платформы, все в порядке .

Кроме того, мы можем обновить ADT версию ее решения.

5muasif80 @

Я использую 64-разрядную версию Eclipse, ADT по этой ссылке https://dl.google.com/android/adt/adt-bundle-windows-x86_64-20140702.zip

и это дает мне вопросы Windows 7 64 бит

Теперь я скачал 32-разрядную версию Eclipse, ADT по этой ссылке https://dl.google.com/android/adt/adt-bundle-windows-x86-20140702.zip

и теперь его прекрасно работает .

Это может помочь другим тоже.